Skip to content

Check if the data policy name is available

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Use the data policy name to check whether it is valid in the user pool.

Method name

ManagementClient.checkDataPolicyExists

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
policyNamestringYes-Data policy name, unique to the user poolSample data policy name

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.checkDataPolicyExists({
    policyName: "Sample Data Policy Name",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: CheckParamsDataPolicyResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CheckParamsDataPolicyRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "isValid": " false",
    "message": " data Policy name already exist"
  }
}

Data structure

CheckParamsDataPolicyRespDto

NameTypeIs it required?DescriptionExample value
isValidbooleanyesIs the data policy name verification valid? false
messagestringnoPrompt message if data policy name verification fails. If verification succeeds, message is not returned data Policy name already exist

Agent infrastructure for identity, memory, and web action.